<?php
/*
 Template Name: Portfolio List
 Template Description: Portfolio listing in list mode.
 Post Types: page
 Dependencies: plugin-victheme_portfolio
*/

  $portfolioConfigObject = new VTCore_Portfolio_Config();
  $portfolioConfigObject->add('grid.mode', 'list');

  // Rebuild the query since the main query
  // will always point to "page" queries.
  $get = filter_input_array(INPUT_GET, FILTER_SANITIZE_SPECIAL_CHARS);
  $args = array(
    'paged' =>  isset($get['paged_portfolio_main']) ? $get['paged_portfolio_main'] : 1,
  );
  $query = VTCore_Portfolio_Utility::buildPortfolioPost($args);

  $posts = $query->get_posts();

  include_once locate_template('archive-portfolio.php', false);

?>